Subject: bug#59717: closed (Re: bug#59717: ‘guix’package fails to build on armhf-linux (OOM))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Dec 2022 08:29:01 +0000

Your bug report

#59717: ‘guix’ package fails to build on armhf-linux (OOM)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59717: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59717
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59717: ‘guix’ package fails to build on armhf-linux (OOM)
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Dec 2022 09:28:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>> [ 76%] GUILEC   gnu/packages/uucp.go
>> [ 76%] GUILEC   gnu/packages/valgrind.go
>> [ 76%] GUILEC   gnu/packages/version-control.go
>> [ 76%] GUILEC   gnu/packages/video.go
>> GC Warning: Failed to expand heap by 67125248 bytes
>> GC Warning: Failed to expand heap by 67108864 bytes
>> GC Warning: Out of Memory! Heap size: 3440 MiB. Returning NULL!
>
> Happens for me too, unless I do --cores=1.

Interesting.

I worked around it with commit 1aa7ee52c6c520c2dbbdb06f1381466e9fd96294
on ‘version-1.4.0’.

Next I’d like to do some heap profiling to address the problem at its
root; it qualifies as a memory leak.

Thanks,
Ludo’.

Subject: ‘guix’ package fails to build on armhf-linux (OOM)
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Wed, 30 Nov 2022 10:08:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

As of 1bc9d5222f9053fd0ace7b92df0ef9548707cf41 (version-1.4.0), the
‘guix’ package fails to build on armhf-linux, running out of memory:

--8<---------------cut here---------------start------------->8---
[ 75%] GUILEC   gnu/packages/toolkits.go
[ 76%] GUILEC   gnu/packages/tor.go
[ 76%] GUILEC   gnu/packages/tv.go
[ 76%] GUILEC   gnu/packages/uglifyjs.go
[ 76%] GUILEC   gnu/packages/uml.go
[ 76%] GUILEC   gnu/packages/unicode.go
[ 76%] GUILEC   gnu/packages/unrtf.go
[ 76%] GUILEC   gnu/packages/upnp.go
[ 76%] GUILEC   gnu/packages/usb-modeswitch.go
[ 76%] GUILEC   gnu/packages/uucp.go
[ 76%] GUILEC   gnu/packages/valgrind.go
[ 76%] GUILEC   gnu/packages/version-control.go
[ 76%] GUILEC   gnu/packages/video.go
GC Warning: Failed to expand heap by 67125248 bytes
GC Warning: Failed to expand heap by 67108864 bytes
GC Warning: Out of Memory! Heap size: 3440 MiB. Returning NULL!
GC Warning: Failed to expand heap by 67125248 bytes
GC Warning: Failed to expand heap by 67108864 bytes
GC Warning: Out of Memory! Heap size: 3440 MiB. Returning NULL!
GC Warning: Failed to expand heap by 67125248 bytes
GC Warning: Failed to expand heap by 67108864 bytes
GC Warning: Out of Memory! Heap size: 3440 MiB. Returning NULL!
GC Warning: Failed to expand heap by 67125248 bytes
GC Warning: Failed to expand heap by 67108864 bytes
GC Warning: Out of Memory! Heap size: 3440 MiB. Returning NULL!
GC Warning: Failed to expand heap by 67125248 bytes
GC Warning: Failed to expand heap by 67108864 bytes
GC Warning: Out of Memory! Heap size: 3440 MiB. Returning NULL!
[…]
--8<---------------cut here---------------end--------------->8---

The build process goes on; it never stops but doesn’t make any progress.

I don’t know if it’s deterministic.

It builds fine on i686-linux.

Ludo’.